Subject: [Hipsec] Web page for HIP checksum calculation

From: [email-masked] (Mika Kousa)
Date: Thu Oct 9 04:33:00 2003

Now that there is discussion about example checksums, I made a web page
(http://kludge.tky.hut.fi/~mika/csum.cgi) for quick testing of HIP
checksum calculation. Currently we support only IPv6, and I1 packet is
used. Given src/dst IPv6/HIT addresses, the page shows the checksum value
what our (HIPL) current implementation calculates.

-- 

  "Do not underestimate the value of print statements for debugging."